;------------------JAM's Messenger PLM v1.0------------------------
;----------------Disassembly by OmegaDragnet9----------------------
;----------------Credits to P.JBoy's Bank Logs---------------------

;This version takes creative liberties. Also should be more ASAR friendly. 

lorom

org $84F210 ;Originally $84F2C3     ;PLM Location

DW $EE64                            ;Pre-instruction, vanilla routine
DW InstructionList 

;------------------------------------------------------------------

InstructionList:

DW $8764,$9600
DB $00,$00,$00,$00,$00,$00,$00,$00	;Load Item GFX
;DB $01								;Not sure what's going on with the first two bytes.
;DB $00
;DW $9497							;Vanilla, unused
DW $887C,.ArgumentSet				;Go to ".ArgumentSet" if the room argument item is set
DW $8A24,.LinkInstruction			;Link Instruction to ".LinkInstruction"
DW $86C1,$DF89 						;Pre-instruction, go to Link Instruction if Triggered

.Loop
DW $E04F							;Draw Item Frame 1
DW $E067							;Draw Item Frame 2
DW $8724,.Loop 

.LinkInstruction
DW .Messenger 						;Goes to ".Messenger"

.ArgumentSet						;Go here if room argument item is set
DW $8724,$DFA9						;Go to instruction list Empty Item

.Messenger							;Summons the message based off the Low Number of the PLM 
JSR Sound
PHX
LDA $1DC7,x
PLX
AND #$00FF
JSL $858080 						;Asar likes the JSL better, but the OG patch was a JSR. 
RTS

Sound:
LDA #$0037                          ;Click
JSL $809049                         ;Library 1, max sounds allowed 6
RTS


;-------------------Message Box Hijack-------------------------------------

org $858490     ;Comment this out if using PHOSPHOTiDYL's version of Scyzer's Item Sounds.
JSR $FFF0    

org $85FFF0     ;Comment the remainder of this out if you are using PHOSPHOTiDYL's version of Scyzer's Item Sounds.
CMP #$1D        ;This is the first new line of messages JAM says to start with
BPL $04         ;Branch if plus (negative clear)
LDX #$0168      ;Time to wait for Vanilla item jingle
RTS
LDX #$001E      ;New time for message box to stay up
RTS

