;------------------JAM's Messenger PLM v2.0------------------------
;----------------Disassembly by OmegaDragnet9----------------------
;----------------Credits to P.JBoy's Bank Logs---------------------

;This version is based off the Scroll PLM instead of Ice Beam.
;Reason is there's less code, shouldn't block shots like an item would.

lorom

org $84F210         ;Originally $84F2C3     ;PLM Location

DW $B371			;Preinstruction for Scroll PLM
DW InstructionList 

;------------------------------------------------------------------

InstructionList:

.Loop
DW $86B4
DW .Messenger 			;Goes to ".Messenger"
DW $8724,.Loop

.Messenger				;Summons the message based off the Low Number of the PLM 
JSR Sound
PHX
LDA $1DC7,x
PLX
AND #$00FF
JSL $858080 			;Asar likes the JSL better, but the OG patch was a JSR. 
RTS

;------------------------Sound-------------------------------------

Sound:
LDA #$0037			;Click
JSL $809049			;Library 1, max sounds allowed 6
RTS

;Hijack of Vanilla Message Box time display

org $858490  ;\
			 ;;\ Comment this out if using PHOSPHOTiDYL's version of Scyzer's Item Sounds.
JSR $FFF0    ;;/
			 ;/
org $85FFF0 

;Comment the remainder of this out if you are using PHOSPHOTiDYL's version of Scyzer's Item Sounds.
CMP #$1D	;This is the first new line of messages JAM says to start with
BPL $04 	;Branch if plus (negative clear)
LDX #$0168  ;Time to wait for Vanilla item jingle
RTS
LDX #$001E	;New time for message box to stay up
RTS




 

